## UIM Slot Status indication UIM Slot Status indication |

## Functions

QmiIndicationUimSlotStatusOutput * | qmi_indication_uim_slot_status_output_ref ()
void | qmi_indication_uim_slot_status_output_unref ()
gboolean | qmi_indication_uim_slot_status_output_get_slot_eid_information ()
gboolean | qmi_indication_uim_slot_status_output_get_physical_slot_information ()
gboolean | qmi_indication_uim_slot_status_output_get_physical_slot_status ()

## Types and Values

| QmiIndicationUimSlotStatusOutput
| QmiPhysicalSlotInformationSlot
| QmiPhysicalSlotStatusSlot

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationUimSlotStatusOutput

## Description

## Functions

### qmi_indication_uim_slot_status_output_ref ()

    QmiIndicationUimSlotStatusOutput *
    qmi_indication_uim_slot_status_output_ref
                                   (QmiIndicationUimSlotStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationUimSlotStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_indication_uim_slot_status_output_unref ()

    void
    qmi_indication_uim_slot_status_output_unref
                                   (QmiIndicationUimSlotStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationUimSlotStatusOutput. |

Since: 1.26

### qmi_indication_uim_slot_status_output_get_slot_eid_information ()

    gboolean
    qmi_indication_uim_slot_status_output_get_slot_eid_information
                                   (QmiIndicationUimSlotStatusOutput *self,
                                    GArray **value_slot_eid_information,
                                    GError **error);

Get the 'Slot EID Information' field from `self` .

#### Parameters

self | a QmiIndicationUimSlotStatusOutput. |
value_slot_eid_information | a placeholder for the output GArray of GArray * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type GArray][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_uim_slot_status_output_get_physical_slot_information ()

    gboolean
    qmi_indication_uim_slot_status_output_get_physical_slot_information
                                   (QmiIndicationUimSlotStatusOutput *self,
                                    GArray **value_physical_slot_information,
                                    GError **error);

Get the 'Physical Slot Information' field from `self` .

#### Parameters

self | a QmiIndicationUimSlotStatusOutput. |
value_physical_slot_information | a placeholder for the output GArray of QmiPhysicalSlotInformationSlot elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiPhysicalSlotInformationSlot][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_indication_uim_slot_status_output_get_physical_slot_status ()

    gboolean
    qmi_indication_uim_slot_status_output_get_physical_slot_status
                                   (QmiIndicationUimSlotStatusOutput *self,
                                    GArray **value_physical_slot_status,
                                    GError **error);

Get the 'Physical Slot Status' field from `self` .

#### Parameters

self | a QmiIndicationUimSlotStatusOutput. |
value_physical_slot_status | a placeholder for the output GArray of QmiPhysicalSlotStatusSlot elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiPhysicalSlotStatusSlot][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

## Types and Values

### QmiIndicationUimSlotStatusOutput

    typedef struct _QmiIndicationUimSlotStatusOutput QmiIndicationUimSlotStatusOutput;

The QmiIndicationUimSlotStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiPhysicalSlotInformationSlot

    typedef struct {
        QmiUimCardProtocol card_protocol;
        guint8 valid_applications;
        GArray *atr_value;
        gboolean is_euicc;
    } QmiPhysicalSlotInformationSlot;

A QmiPhysicalSlotInformationSlot struct.

#### Members

QmiUimCardProtocol `card_protocol`; | a QmiUimCardProtocol. |
guint8 `valid_applications`; | a guint8. |
GArray *`atr_value`; | a GArray of guint8 elements. |
gboolean `is_euicc`; | a gboolean. |

Since: 1.26

### QmiPhysicalSlotStatusSlot

    typedef struct {
        QmiUimPhysicalCardState physical_card_status;
        QmiUimSlotState physical_slot_status;
        guint8 logical_slot;
        GArray *iccid;
    } QmiPhysicalSlotStatusSlot;

A QmiPhysicalSlotStatusSlot struct.

#### Members

QmiUimPhysicalCardState `physical_card_status`; | a QmiUimPhysicalCardState. |
QmiUimSlotState `physical_slot_status`; | a QmiUimSlotState. |
guint8 `logical_slot`; | a guint8. |
GArray *`iccid`; | a GArray of guint8 elements. |

Since: 1.26